Skip to main content

List number purchases

GET 

/api/v1/purchases

Retrieve a paginated list of DID numbers purchased by the authenticated user.

Features:

  • Ordered by most recent first
  • Pagination: 100 DIDs per page (max 1000)
  • Available in JSON and CSV formats

Returned Information:

  • DID number and status
  • Purchase and expiration dates
  • Monthly cost and features
  • SMS/voice capabilities

purchases[].number feeds list_number_destinations, add_number_destination, update_number_destination, remove_number_destination, release_number and send_sms_message: it is the purchase_id of the destination operations, an entry of did_numbers[] when releasing numbers, and sm[source] when the number has SMS enabled. See also: list_my_numbers, the same numbers with their inventory id.

Request​

Responses​

Successfully returns paginated list of purchased DID numbers in JSON format